baremetal \
bhyve \
docker \
+ esx-arm \
esx4.1 \
hyperv \
kvm \
tests/baremetal/Makefile
tests/bhyve/Makefile
tests/docker/Makefile
+ tests/esx-arm/Makefile
tests/esx4.1/Makefile
tests/hyperv/Makefile
tests/kvm/Makefile
--- /dev/null
+# Makefile for virt-what
+# Copyright (C) 2008-2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+CLEANFILES = *~
+
+TESTS = test.sh
+
+EXTRA_DIST = \
+ test.sh \
+ proc/cpuinfo \
+ proc/device-tree/hypervisor/compatible \
+ proc/device-tree/hypervisor/name \
+ proc/self/status \
+ sbin/dmidecode \
+ sbin/uname \
+ sbin/virt-what-cpuid-helper
--- /dev/null
+processor : 0
+BogoMIPS : 108.00
+Features : fp asimd evtstrm crc32 cpuid
+CPU implementer : 0x41
+CPU architecture: 8
+CPU variant : 0x0
+CPU part : 0xd08
+CPU revision : 3
+
+processor : 1
+BogoMIPS : 108.00
+Features : fp asimd evtstrm crc32 cpuid
+CPU implementer : 0x41
+CPU architecture: 8
+CPU variant : 0x0
+CPU part : 0xd08
+CPU revision : 3
+
--- /dev/null
+hypervisor
--- /dev/null
+Name: cat
+Umask: 0022
+State: R (running)
+Tgid: 292937
+Ngid: 0
+Pid: 292937
+PPid: 10956
+TracerPid: 0
+Uid: 0 0 0 0
+Gid: 0 0 0 0
+FDSize: 256
+Groups: 0
+NStgid: 292937
+NSpid: 292937
+NSpgid: 292937
+NSsid: 10956
+VmPeak: 6400 kB
+VmSize: 6400 kB
+VmLck: 0 kB
+VmPin: 0 kB
+VmHWM: 960 kB
+VmRSS: 960 kB
+RssAnon: 448 kB
+RssFile: 512 kB
+RssShmem: 0 kB
+VmData: 640 kB
+VmStk: 192 kB
+VmExe: 64 kB
+VmLib: 1600 kB
+VmPTE: 384 kB
+VmSwap: 0 kB
+HugetlbPages: 0 kB
+CoreDumping: 0
+THP_enabled: 1
+Threads: 1
+SigQ: 2/3947
+SigPnd: 0000000000000000
+ShdPnd: 0000000000000000
+SigBlk: 0000000000000000
+SigIgn: 0000000000000000
+SigCgt: 0000000000000000
+CapInh: 0000000000000000
+CapPrm: 0000003fffffffff
+CapEff: 0000003fffffffff
+CapBnd: 0000003fffffffff
+CapAmb: 0000000000000000
+NoNewPrivs: 0
+Seccomp: 0
+Speculation_Store_Bypass: vulnerable
+Cpus_allowed: 3
+Cpus_allowed_list: 0-1
+Mems_allowed: 01
+Mems_allowed_list: 0
+voluntary_ctxt_switches: 1
+nonvoluntary_ctxt_switches: 0
--- /dev/null
+#!/bin/sh -
+exit 1
--- /dev/null
+#!/bin/sh -
+echo aarch64
--- /dev/null
+#!/bin/sh -
+# nothing
--- /dev/null
+# Test for ESXi on ARM
+# Copyright (C) 2008-2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+output="$(PATH=../..:$PATH virt-what --test-root=. 2>&1)"
+expected="vmware"
+
+if [ "$output" != "$expected" ]; then
+ echo "$0: test failed because output did not match expected"
+ echo "Expected output was:"
+ echo "----------------------------------------"
+ echo "$expected"
+ echo "----------------------------------------"
+ echo "But the actual output of the program was:"
+ echo "----------------------------------------"
+ echo "$output"
+ echo "----------------------------------------"
+ exit 1
+fi
echo xen
skip_qemu_kvm=true
skip_lkvm=true
+ elif [ -d "${root}/proc/device-tree/hypervisor" ] &&
+ grep -q "vmware" "${root}/proc/device-tree/hypervisor/compatible"; then
+ echo vmware
+ skip_lkvm=true
fi
elif [ "$arch" = "ia64" ]; then
if [ -d "${root}/sys/bus/xen" -a ! -d "${root}/sys/bus/xen-backend" ]; then